Subject: Re: linux-next: manual merge of the spi tree with the i2c tree

From: Alain Volmat <[email-masked]>
Date: Tue, 21 Feb 2023 17:57:41 +0100

Hi Mark, Wolfram,

should I update something to avoid this conflict before you push the
pull request for v6.3 ?

Cheers,
Alain

On Tue, Feb 21, 2023 at 10:11:03AM +0100, Geert Uytterhoeven wrote:
> Hi Stephen,
> 
> On Thu, Feb 16, 2023 at 1:37 AM Stephen Rothwell <[email-masked]> wrote:
> > Today's linux-next merge of the spi tree got a conflict in:
> >
> >   MAINTAINERS
> >
> > between commit:
> >
> >   b3de755d6041 ("dt-bindings: i2c: i2c-st: convert to DT schema")
> >
> > from the i2c tree and commit:
> >
> >   7ec844a2c753 ("spi: spi-st-ssc: convert to DT schema")
> >
> > from the spi tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> >
> > --
> > Cheers,
> > Stephen Rothwell
> >
> > diff --cc MAINTAINERS
> > index 71e92d3c51c6,daa33e7bb457..000000000000
> > --- a/MAINTAINERS
> > +++ b/MAINTAINERS
> > @@@ -2791,7 -2925,8 +2791,8 @@@ M:      Patrice Chotard <patrice.chotard@fos
> >   L:    [email-masked] (moderated for non-subscribers)
> >   S:    Maintained
> >   W:    http://www.stlinux.com
> > + F:    Documentation/devicetree/bindings/spi/st,ssc-spi.yaml
> >  -F:    Documentation/devicetree/bindings/i2c/i2c-st.txt
> >  +F:    Documentation/devicetree/bindings/i2c/st,sti-i2c.yaml
> >   F:    arch/arm/boot/dts/sti*
> >   F:    arch/arm/mach-sti/
> >   F:    drivers/ata/ahci_st.c
> 
> Thanks, but please preserve sort order.
> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> -- 
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds